
Redmine - Defect #41051

Export CSV shows HTML code of description field

2024-07-23 10:42 - YoZ Art

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.3

Description

I have recently upgraded from Redmine 2.6 to 5.1.3

When you try to export the list of issues as a CSV including description column, it will also include HTML code. It is certainly because

I'm using CK Editor plugin but the behavior was different in version 2.6 where it was removing all HTML tags and leave only the text

resulting.

for information purpose, link to the plugin CKEditor :

https://github.com/yozart/redmine_ckeditor

History

#1 - 2024-07-23 11:13 - YoZ Art

- File export2.6.csv added

- File export5.1.3.csv added

2 sample files included for you to compare the difference

#2 - 2024-07-23 13:28 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the maintainers of your ckeditor plugin.

Generally, the various ckeditor plugins significantly change how formatted text is stored and handled from the default Redmine. Thus, unless your

issue can be reproduced from an unchanged Redmine and with data entered into this unchanged Redmine, we can't help you with this issue here

unfortunately,.

#3 - 2024-07-29 09:48 - YoZ Art

For those reaching this topic, I made a fix available here :

https://github.com/yozart/redmine_ckeditor

Files

export2.6.csv 1.58 KB 2024-07-23 YoZ Art

export5.1.3.csv 1.12 KB 2024-07-23 YoZ Art

Powered by TCPDF (www.tcpdf.org)

2025-03-12 1/1

https://github.com/yozart/redmine_ckeditor
https://github.com/yozart/redmine_ckeditor
http://www.tcpdf.org

